com.sun.grid.util.expect

## Interface ExpectHandler

- All Known Implementing Classes:
    ExpectPasswordHandler, ExpectStringHandler

      public interface ExpectHandler

  Basic Interface for all expect handlers. The `handle` is called every time when new output has been received from stdout or stderror of the process.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handle(Expect expect, ExpectBuffer buffer)` Handle new output of the process and be send a reply.

- - ### Method Detail

    - #### handle

          void handle(Expect expect,
                      ExpectBuffer buffer)
               throws java.io.IOException

      Handle new output of the process and be send a reply.
      Parameters:
        `expect` - the expect object which calls this handler
        `buffer` - the buffer with the output of the process
      Throws:
        `java.io.IOException`
      See Also:
        `Expect.print(java.lang.String)`